summaryrefslogtreecommitdiff
path: root/source4/torture/tests/test_gentest.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
committerJelmer Vernooij <jelmer@samba.org>2008-09-16 19:07:59 +0200
commit323346f7b01314bdec418d585fae236f736068fa (patch)
tree358f09d4966f6ae6973104567e36b4b011bfd51e /source4/torture/tests/test_gentest.sh
parentcda87628bc607d6aba1ee9c8a904c86080c974d8 (diff)
parent9c466a61588cf7eb442450d57cf2a46355e8907a (diff)
downloadsamba-323346f7b01314bdec418d585fae236f736068fa.tar.gz
samba-323346f7b01314bdec418d585fae236f736068fa.tar.bz2
samba-323346f7b01314bdec418d585fae236f736068fa.zip
Merge branch 'singlecompression' into single
Diffstat (limited to 'source4/torture/tests/test_gentest.sh')
-rwxr-xr-xsource4/torture/tests/test_gentest.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/source4/torture/tests/test_gentest.sh b/source4/torture/tests/test_gentest.sh
new file mode 100755
index 0000000000..2f4d00dc77
--- /dev/null
+++ b/source4/torture/tests/test_gentest.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Blackbox tests for gentest
+# Copyright (C) 2008 Andrew Tridgell
+# based on test_smbclient.sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_gentest.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+shift 4
+failed=0
+
+samba4bindir=`dirname $0`/../../bin
+gentest=$samba4bindir/gentest
+
+. `dirname $0`/../../../testprogs/blackbox/subunit.sh
+
+cat <<EOF > st/gentest.ignore
+all_info.out.fname
+internal_information.out.file_id
+EOF
+
+testit "gentest" $VALGRIND $gentest //$SERVER/test1 //$SERVER/test2 --num-ops=100 --ignore=st/gentest.ignore -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+rm -f st/gentest.ignore
+
+exit $failed